var mapnik = require(".");

// Buffer.alloc(256*256*8) - node test.js  9.29s user 13.83s system 121% cpu 18.965 total
// new mapnik.Image(256,256) - node test.js  6.08s user 15.82s system 99% cpu 21.922 total
for (var i = 0; i < 1000000; ++i) {
  var im = new mapnik.Image(256,256);
  //var buf = Buffer.alloc(256*256*8);
  var memoryUsage = process.memoryUsage();
  if (i % 1000 == 0) {
    console.log(`#${i} Memory Usage:${memoryUsage.rss}`);
  }

}
